--------------------------
-- Sphere Gloss Creator --
--------------------------
local addon, ns = ...
local ss = ns.SS

local CreateFrame = CreateFrame

local mtGloss = {}

--- Creates a new sphere gloss display.
-- @param parent The parent container.
-- @return The gloss texture.
--
function mtGloss:New(parent)
  -- Add gloss
  local glossHolder = CreateFrame("FRAME", nil, parent)
  glossHolder:SetAllPoints(parent)

  glossHolder.glossOverlay = glossHolder:CreateTexture(nil, "OVERLAY")
  glossHolder.glossOverlay:SetTexture  (ss.private.textures.gloss)
  glossHolder.glossOverlay:SetAllPoints(glossHolder)

  return glossHolder
end

ss.Utils.addModule("Gloss", mtGloss)
